# ACE_FILE Class Reference

Defines the core methods of the ACE_FILE abstraction. More...

`#include <FILE.h>`

Inheritance diagram for ACE_FILE:

[legend]
Collaboration diagram for ACE_FILE:

[legend]
List of all members.

## Public Member Functions

int | close (void)
int | remove (void)
| Close and remove the ACE_FILE from the file system.
int | unlink (void)
int | get_info (ACE_FILE_Info *finfo)
| Get information on this ACE_FILE.
int | get_info (ACE_FILE_Info &finfo)
| Get information on this <ace_file>.
int | truncate (off_t length)
| Set filesize to length byte.
off_t | seek (off_t offset, int whence=SEEK_CUR)
off_t | tell (void)
| Return an offset for the file handle.
int | disable (int signum) const
int | get_local_addr (ACE_Addr &) const
int | get_remote_addr (ACE_Addr &) const
| Return the same thing as get_local_addr().
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Protected Member Functions

| ACE_FILE (void)

## Protected Attributes

ACE_FILE_Addr | addr_
| File we are "connected" with...

## Detailed Description

Defines the core methods of the ACE_FILE abstraction.

## Constructor & Destructor Documentation

ACE_FILE::ACE_FILE | ( | void |  | ) | `[protected]`

| Ensure that this class is only created by the ACE_FILE_Connector.

## Member Function Documentation

int ACE_FILE::close | ( | void |  | ) |

| Close the ACE_FILE handle without removing the ACE_FILE from the file system.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE int ACE_FILE::disable | ( | int | signum | ) | const

| Disable signal signum This is here to prevent Win32 from disabling SPIPE using socket calls Reimplemented from ACE_IO_SAP.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_FILE::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_IO_SAP. Reimplemented in ACE_FILE_IO.

int ACE_FILE::get_info | ( | ACE_FILE_Info & | finfo | ) |

| Get information on this <ace_file>.

int ACE_FILE::get_info | ( | ACE_FILE_Info * | finfo | ) |

| Get information on this ACE_FILE.

int ACE_FILE::get_local_addr | ( | ACE_Addr & |  | ) | const

| Return the local endpoint address in the referenced ACE_Addr. Returns 0 if successful, else -1.

int ACE_FILE::get_remote_addr | ( | ACE_Addr & |  | ) | const

| Return the same thing as get_local_addr().

int ACE_FILE::remove | ( | void |  | ) |

| Close and remove the ACE_FILE from the file system.

off_t ACE_FILE::seek | ( | off_t | offset,
|  | int | whence = `SEEK_CUR`
| ) |

| Sets the file pointer as follows: o If <whence> is <seek_set>, the pointer is set to <offset> bytes. o If <whence> is <seek_cur>, the pointer is set to its current location plus <offset>. o If <whence> is <seek_end>, the pointer is set to the size of the file plus offset.

off_t ACE_FILE::tell | ( | void |  | ) |

| Return an offset for the file handle.

int ACE_FILE::truncate | ( | off_t | length | ) |

| Set filesize to length byte.

int ACE_FILE::unlink | ( | void |  | ) |

| Remove the ACE_FILE from the file system without closing the ACE_FILE handle.

## Member Data Documentation

ACE_FILE::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_IO_SAP. Reimplemented in ACE_FILE_IO.

ACE_FILE_Addr ACE_FILE::addr_`[protected]`

| File we are "connected" with...

The documentation for this class was generated from the following files:

- FILE.h
- FILE.cpp
- FILE.inl